libstdc++: __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true > Struct Template Reference

libstdc++

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true > Struct Template Reference

`#include <hash_eq_fn.hpp>`

## Public Types
typedef Eq_Fn | eq_fn_base
typedef rebind_traits< _Alloc, Key >::const_reference | key_const_reference
typedef _Alloc::size_type | size_type

## Public Member Functions
| hash_eq_fn (const Eq_Fn &r_eq_fn)
bool | operator() (key_const_reference r_lhs_key, size_type lhs_hash, key_const_reference r_rhs_key, size_type rhs_hash) const
void | swap (const hash_eq_fn &other)

## Detailed Description

template<typename Key, class Eq_Fn, class _Alloc>
struct __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >

Specialization 2 - The client requests that hash values be stored.

Definition at line 82 of file hash_eq_fn.hpp.

## Member Typedef Documentation

## ◆ eq_fn_base

template<typename Key, class Eq_Fn, class _Alloc>

typedef Eq_Fn __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::eq_fn_base

Definition at line 85 of file hash_eq_fn.hpp.

## ◆ key_const_reference

template<typename Key, class Eq_Fn, class _Alloc>

typedef rebind_traits<_Alloc,Key>::const_reference __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::key_const_reference

Definition at line 87 of file hash_eq_fn.hpp.

## ◆ size_type

template<typename Key, class Eq_Fn, class _Alloc>

typedef _Alloc::size_type __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::size_type

Definition at line 84 of file hash_eq_fn.hpp.

## Constructor & Destructor Documentation

## ◆ hash_eq_fn() [1/2]

template<typename Key, class Eq_Fn, class _Alloc>

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::hash_eq_fn | ( |  | ) |
| inline

Definition at line 89 of file hash_eq_fn.hpp.

## ◆ hash_eq_fn() [2/2]

template<typename Key, class Eq_Fn, class _Alloc>

__gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::hash_eq_fn | ( | const Eq_Fn & | r_eq_fn | ) |
| inline

Definition at line 91 of file hash_eq_fn.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename Key, class Eq_Fn, class _Alloc>

bool __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::operator() | ( | key_const_reference | r_lhs_key,
|  | size_type | lhs_hash,
|  | key_const_reference | r_rhs_key,
|  | size_type | rhs_hash ) const
| inline

Definition at line 94 of file hash_eq_fn.hpp.

## ◆ swap()

template<typename Key, class Eq_Fn, class _Alloc>

void __gnu_pbds::detail::hash_eq_fn< Key, Eq_Fn, _Alloc, true >::swap | ( | const hash_eq_fn< Key, Eq_Fn, _Alloc, true > & | other | ) |
| inline

Definition at line 105 of file hash_eq_fn.hpp.

The documentation for this struct was generated from the following file:

- hash_eq_fn.hpp